# Enum Class CJ1FileColumn

java.lang.Object
java.lang.Enum<CJ1FileColumn>
com.io7m.cardant.protocol.inventory.json.internal.CJ1FileColumn

All Implemented Interfaces:
  `CJ1ValueType`, `Serializable`, `Comparable<CJ1FileColumn>`, `Constable`

public enum CJ1FileColumn extends Enum<CJ1FileColumn> implements CJ1ValueType
The file columns that can be used for ordering.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BY_DESCRIPTION`
  Order by file description.
  `BY_ID`
  Order by file ID.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CJ1FileColumn`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CJ1FileColumn[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BY_ID

    public static final CJ1FileColumn BY_ID
    Order by file ID.

  - ### BY_DESCRIPTION

    public static final CJ1FileColumn BY_DESCRIPTION
    Order by file description.

- ## Method Details

  - ### values

    public static CJ1FileColumn[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CJ1FileColumn valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null